LLVM-TBLGEN(1)

NAME
llvm-tblgen - manual page for llvm-tblgen 3.5

DESCRIPTION
USAGE: llvm-tblgen [options] <input file>

  OPTIONS:

-I=<directory> - Directory of include files

-asmparsernum=<uint> - Make -gen-asm-parser emit assembly parser #N

-asmwriternum=<uint> - Make -gen-asm-writer emit assembly writer #N

-class=<class name> - Print Enum list for this class

-d=<filename> - Dependency filename

-help - Display available options (-help-hidden for more)

-match-prefix=<string> - Only match instructions with the given prefix

-mc-emitter - Generate CodeEmitter for use with the MC library.

-o=<filename> - Output filename

-omit-comments - Do not generate comments

    Action to perform:

-print-records - Print all records to stdout (default)

-gen-emitter - Generate machine code emitter

-gen-register-info - Generate registers and register classes info

-gen-instr-info - Generate instruction descriptions

-gen-callingconv - Generate calling convention descriptions

-gen-asm-writer - Generate assembly writer

-gen-disassembler - Generate disassembler

-gen-pseudo-lowering - Generate pseudo instruction lowering

-gen-asm-matcher - Generate assembly instruction matcher

-gen-dag-isel - Generate a DAG instruction selector

-gen-dfa-packetizer - Generate DFA Packetizer for VLIW targets

-gen-fast-isel - Generate a "fast" instruction selector

-gen-subtarget - Generate subtarget enumerations

-gen-intrinsic - Generate intrinsic information

-gen-tgt-intrinsic - Generate target intrinsic information

-print-enums - Print enum values for a class

-print-sets - Print expanded sets for testing DAG exprs

-gen-opt-parser-defs - Generate option definitions

-gen-ctags - Generate ctags-compatible index

-version - Display the version of this program

SEE ALSO
The full documentation for llvm-tblgen is maintained as a Texinfo manual. If the info and llvm-tblgen programs are properly installed at your site, the command

    info llvm-tblgen

should give you access to the complete manual.